Get extraction job result

Path Parameters
  • jobId
    Type: string · Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-8][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$
    required
Headers
  • X-Exabase-Base-Id
    Type: string

    Optional. When provided, the request is executed against the specified base. If omitted, the parent workspace is used.

Responses
  • application/json
  • 404

    Extraction job not found

Request Example for get/v2/extract/{jobId}
curl 'https://api.exabase.io/v2/extract/{jobId}' \
  --header 'X-Exabase-Base-Id: ' \
  --header 'X-Api-Key: YOUR_SECRET_TOKEN'
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "workspaceId": "123e4567-e89b-12d3-a456-426614174000",
  "userId": "123e4567-e89b-12d3-a456-426614174000",
  "kind": "default",
  "name": null,
  "url": null,
  "state": "pending",
  "createdAt": "2026-05-28T14:02:02.644Z",
  "extraction": {
    "common": {
      "mimeType": null,
      "size": null,
      "infected": true,
      "caption": "string",
      "keywords": [
        "string"
      ],
      "thumbnail": "string",
      "chunkCount": 1
    },
    "media": {
      "width": null,
      "height": null,
      "duration": null,
      "codec": null,
      "bitRate": null,
      "frameRate": null,
      "sampleRate": null,
      "channels": null,
      "color": {
        "profile": null,
        "space": null,
        "alphaChannel": null,
        "pixelFormat": null
      },
      "location": {
        "latitude": null,
        "longitude": null
      },
      "device": {
        "maker": null,
        "model": null,
        "software": null
      },
      "dominantColors": [
        {
          "rgb": [
            1
          ],
          "score": 1
        }
      ],
      "ocr": "string",
      "screenshot": {
        "url": "string",
        "width": null,
        "height": null,
        "mime": null
      },
      "transcript": {
        "url": "string",
        "size": null,
        "mime": null
      }
    },
    "document": {
      "pages": 1,
      "author": "string",
      "title": "string",
      "subject": "string",
      "creator": "string",
      "producer": "string",
      "security": true,
      "version": "string",
      "creationDate": "2026-05-28T14:02:02.644Z",
      "modificationDate": "2026-05-28T14:02:02.644Z",
      "pdfRender": {
        "url": "string",
        "size": null,
        "mime": null
      }
    },
    "web": {
      "title": "string",
      "siteName": "string",
      "description": "string",
      "url": "string",
      "image": {
        "url": "string",
        "width": null,
        "height": null,
        "mime": null
      },
      "favicon": {
        "url": "string",
        "width": null,
        "height": null,
        "mime": null
      },
      "html": {
        "url": "string",
        "size": null,
        "mime": null
      },
      "reader": {
        "url": "string",
        "size": null,
        "mime": null
      }
    }
  },
  "links": {
    "chunks": "string",
    "download": "string"
  }
}